Bug 134453 - devel/apr: -pthread
Summary: devel/apr: -pthread
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Philip M. Gollucci
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-05-11 09:40 UTC by Philip M. Gollucci
Modified: 2009-06-11 00:00 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Philip M. Gollucci freebsd_committer 2009-05-11 09:40:02 UTC
Shouldn't these references in the devel/apr port source to
-lpthread be changed to -pthread?:


./work/apr-1.3.3/build/apr_hints.m4.orig:170:          apr_cv_pthreads_lib="-lpthread"
./work/apr-1.3.3/build/apr_threads.m4:155:  for lib in -lpthread -lpthreads -lc_r; do
./work/apr-1.3.3/build/apr_hints.m4.bak:166:          apr_cv_pthreads_lib="-lpthread"
./work/apr-1.3.3/build/apr_hints.m4:166:          apr_cv_pthreads_lib="-lpthread"
./work/apr-1.3.3/configure:5051:          apr_cv_pthreads_lib="-lpthread"
./work/apr-1.3.3/configure:27153:  for lib in -lpthread -lpthreads -lc_r; do
./work/apr-1.3.3/configure:27713:  for lib in -lpthread -lpthreads -lc_r; do
./work/apr-util-1.3.4/build/apu-conf.m4:263:      APU_FIND_LDAPLIB("ldap", "-ldl -lpthread")
./work/apr-util-1.3.4/build/apu-conf.m4:268:      APU_FIND_LDAPLIB($LIBLDAP, "-ldl -lpthread")
./work/apr-util-1.3.4/configure:10204:    extralib="-ldl -lpthread"
./work/apr-util-1.3.4/configure:12393:    extralib="-ldl -lpthread"

Or, more properly, to ${PTHREAD_LIBS} in ports, which I think
amounts to the same thing on all recent versions of FreeBSD.

If the port really depends on some un-FreeBSD-like pthreads behavior, then I guess we should point it at devel/pth, at least after they sort out the namespace problems with that port on 8-CURRENT.

b.

.... move private e-mail to pr so I don't forget
Comment 1 Edwin Groothuis freebsd_committer 2009-05-11 09:40:12 UTC
Responsible Changed
From-To: freebsd-ports-bugs->pgollucci

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Philip M. Gollucci 2009-05-19 06:02:51 UTC
from bf:

Thanks, I was going to suggest this.  You may find some recent related
comments on freebsd-ports to be relevant:

http://lists.freebsd.org/pipermail/freebsd-ports/2009-April/053917.html

The problems with devel/pth on 8-CURRENT seem to have been fixed with vd@'s
recent changes.

Regards,
          b.
Comment 3 dfilter service freebsd_committer 2009-06-10 06:53:44 UTC
pgollucci    2009-06-10 05:53:27 UTC

  FreeBSD ports repository

  Modified files:
    devel/apr            Makefile 
  Added files:
    devel/apr/files      patch-apr-util-1.3.7__apu-config.in 
  Log:
  - Respect CC/CCFLAGS [1]
  - use -pthread instead of -lpthread [2]
  - It was only ever accidental that -ldb showed up in apu-config --libs
    Subversion doesn't actually even use it (apr_dbm*).
    APR/Util is supposed to auto load the backed db library without the app
    ever know which one it was.  Subversion uses db _directly_.
    Subversion 1.6.3 should account for this. [3]
  - Convert to bsd.options.mk
  - Bump PORTREVISION
  
  PR:             ports/135396 [3], ports/134453 [2], ports/132432 [1]
  Submitted by:   dev@apr.apache.org (wrowe, bojan) [3],
                  b.f. [2],  Anonymous <swell.k@gmail.com> [1]
  
  Revision  Changes    Path
  1.81      +9 -3      ports/devel/apr/Makefile
  1.1       +39 -0     ports/devel/apr/files/patch-apr-util-1.3.7__apu-config.in (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 Philip M. Gollucci freebsd_committer 2009-06-10 06:53:59 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 5 b. f. 2009-06-10 21:53:40 UTC
Philip:

I find that my devel/apr builds are dumping core during the configure
stage after the
recent change; however, if I change line 185 of version 1.81 of the
apr Makefile so that
${PTHREAD_LIBS} is being substituted for '-lpthread' rather than
'-lpthreads', everything
is okay.  I think this is necessary in any event because some of the
ldap-related stuff
has '-lpthread' in various places in the *.m4 files, but not '-lpthreads'.


Regards,
                 b.
Comment 6 Philip M. Gollucci freebsd_committer 2009-06-10 22:26:11 UTC
Strange, my tb didn't bomb... neither did QAT.

I'll mod it. in about 5seconds.